package com.hotent.baseInfo.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.hotent.base.entity.BaseModel;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonProperty;
/**
 * 字典数据表
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-09-13
 */
@ApiModel(value="CostDictData对象", description="字典数据表")
public class CostDictData extends BaseModel<CostDictData> {

    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "字典编码")
    @TableId(value = "dict_code", type = IdType.AUTO)
    @JsonProperty("dictCode")
    private Long dictCode;
    
    @ApiModelProperty(value = "字典排序",required = true)
    @TableField("dict_sort")
    @JsonProperty("dictSort")
    private Integer dictSort;
    
    @ApiModelProperty(value = "字典标签",required = true)
    @TableField("dict_label")
    @JsonProperty("dictLabel")
    private String dictLabel;
    
    @ApiModelProperty(value = "字典键值",required = true)
    @TableField("dict_value")
    @JsonProperty("dictValue")
    private String dictValue;
    
    @ApiModelProperty(value = "字典类型",required = true)
    @TableField("dict_type")
    @JsonProperty("dictType")
    private String dictType;
    
    @ApiModelProperty(value = "样式属性（其他样式扩展）")
    @TableField("css_class")
    @JsonProperty("cssClass")
    private String cssClass;
    
    @ApiModelProperty(value = "表格回显样式")
    @TableField("list_class")
    @JsonProperty("listClass")
    private String listClass;
    
    @ApiModelProperty(value = "是否默认（Y是 N否）")
    @TableField("is_default")
    @JsonProperty("isDefault")
    private String isDefault;
    
    @ApiModelProperty(value = "状态（0正常 1停用）")
    @TableField("status")
    @JsonProperty("status")
    private String status;
    
    @ApiModelProperty(value = "创建者")
    @TableField("create_by")
    @JsonProperty("createBy")
    private String createBy;
    
    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    @JsonProperty("createTime")
    private LocalDateTime createTime;
    
    @ApiModelProperty(value = "更新者")
    @TableField("update_by")
    @JsonProperty("updateBy")
    private String updateBy;
    
    @ApiModelProperty(value = "更新时间")
    @TableField("update_time")
    @JsonProperty("updateTime")
    private LocalDateTime updateTime;
    
    @ApiModelProperty(value = "备注")
    @TableField("remark")
    @JsonProperty("remark")
    private String remark;
    

    public Long getDictCode() {
        return dictCode;
    }

    public void setDictCode(Long dictCode) {
        this.dictCode = dictCode;
    }
    public Integer getDictSort() {
        return dictSort;
    }

    public void setDictSort(Integer dictSort) {
        this.dictSort = dictSort;
    }
    public String getDictLabel() {
        return dictLabel;
    }

    public void setDictLabel(String dictLabel) {
        this.dictLabel = dictLabel;
    }
    public String getDictValue() {
        return dictValue;
    }

    public void setDictValue(String dictValue) {
        this.dictValue = dictValue;
    }
    public String getDictType() {
        return dictType;
    }

    public void setDictType(String dictType) {
        this.dictType = dictType;
    }
    public String getCssClass() {
        return cssClass;
    }

    public void setCssClass(String cssClass) {
        this.cssClass = cssClass;
    }
    public String getListClass() {
        return listClass;
    }

    public void setListClass(String listClass) {
        this.listClass = listClass;
    }
    public String getIsDefault() {
        return isDefault;
    }

    public void setIsDefault(String isDefault) {
        this.isDefault = isDefault;
    }
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }
    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }
    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }
    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }


    @Override
    protected Serializable pkVal() {
        return this.dictCode;
    }

    @Override
    public String toString() {
        return "CostDictData{" +
            "dictCode=" + dictCode +
            ", dictSort=" + dictSort +
            ", dictLabel=" + dictLabel +
            ", dictValue=" + dictValue +
            ", dictType=" + dictType +
            ", cssClass=" + cssClass +
            ", listClass=" + listClass +
            ", isDefault=" + isDefault +
            ", status=" + status +
            ", createBy=" + createBy +
            ", createTime=" + createTime +
            ", updateBy=" + updateBy +
            ", updateTime=" + updateTime +
            ", remark=" + remark +
        "}";
    }
}
